Thingspeak errors after update

Posted on
Sat Mar 03, 2018 12:34 am
thumpinc offline
Posts: 32
Joined: May 11, 2013

Thingspeak errors after update

Hi - Thanks for the plugin. After updating to the most current version I am seeing errors and I cant even enter my API key:

When I try to put in my API Key I get:

Code: Select all
Traceback (most recent call last):
  File "plugin.py", line 272, in validatePrefsConfigUi
TypeError: argument of type 'int' is not iterable

Im also seeing this in the log over and over:

Code: Select all
Traceback (most recent call last):
  File "plugin.py", line 190, in runConcurrentThread
  File "plugin.py", line 809, in encodeValueDicts
  File "plugin.py", line 951, in sendToThingspeak
KeyError: 'key devicePort not found in dict'

   Thingspeak Error                plugin runConcurrentThread function returned or failed (will attempt again in 10 seconds)
   Thingspeak Error                Error in plugin execution runConcurrentThread:

Traceback (most recent call last):
  File "plugin.py", line 190, in runConcurrentThread
  File "plugin.py", line 809, in encodeValueDicts
  File "plugin.py", line 951, in sendToThingspeak
KeyError: 'key devicePort not found in dict'

   Thingspeak Error                plugin runConcurrentThread function returned or failed (will attempt again in 10 seconds)

Here is info at start of plugin:
Code: Select all
Thingspeak                     
   Thingspeak                      ================================================ Initializing New Plugin Session =================================================
   Thingspeak                      Plugin name:                    Thingspeak
   Thingspeak                      Plugin version:                 1.1.06
   Thingspeak                      Plugin ID:                      com.fogbert.indigoplugin.thingspeak
   Thingspeak                      Indigo version:                 7.1.1
   Thingspeak                      Python version:                 2.7.10 (default, Jul 15 2017, 17:16:57) [GCC 4.2.1 Compatible Apple LLVM 9.0.0 (clang-900.0.31)]
   Thingspeak                      Mac OS Version:                 10.13.3
   Thingspeak                      ==================================================================================================================================
   Started plugin "Thingspeak 1.1.06"


Moderator edit: adds code block tags.

Posted on
Sat Mar 03, 2018 8:29 am
DaveL17 offline
User avatar
Posts: 5854
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Thingspeak errors after update

Hi @thumpinc.

I need to know a little bit more about the environment that you're using. (I'm confused because line 272 shouldn't generate an error like that.)

It appears that you're running a local Thingspeak server and not using the cloud version. Is that right?

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Sun Mar 04, 2018 5:09 pm
thumpinc offline
Posts: 32
Joined: May 11, 2013

Re: Thingspeak errors after update

Hi !
Yes that is right. Im using a local server on the same machine. I do have other clients logging into this machine to do various things. I am not using a cloud based server.

Posted on
Sun Mar 04, 2018 8:08 pm
DaveL17 offline
User avatar
Posts: 5854
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Thingspeak errors after update

Thanks, that helps. I'm going to PM you a link to a customized version to see if it clears the errors for you.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest